Loading...
Searching...
No Matches
unity::shell::scopes::PreviewModelInterface Class Reference

A list of PreviewWidgetModelInterface instances. More...

`#include <unity/shell/scopes/PreviewModelInterface.h>`

Inheritance diagram for unity::shell::scopes::PreviewModelInterface:
[legend]
Collaboration diagram for unity::shell::scopes::PreviewModelInterface:
[legend]

## Public Types

enum | Roles { RoleColumnModel }
| The roles supported by this model.

## Signals

void | triggered (QString const &, QString const &, QVariantMap const &)
| Signal emitted when user triggers an action.

## Properties

int | widgetColumnCount
| Number of column models this preview should expose.
bool | loaded
| Boolean specifying whether loading this preview finished.
bool | processingAction
| Boolean specifying whether an action is currently being performed.

## Detailed Description

A list of PreviewWidgetModelInterface instances.

This model exposes a number of PreviewWidgetModelInterface instances based on the value of widgetColumnCount property.

## Member Function Documentation

## triggered

void unity::shell::scopes::PreviewModelInterface::triggered | ( | QString const & | ,
|  | QString const & | ,
|  | QVariantMap const & | )

signal

Signal emitted when user triggers an action.

This signal is emitted when user triggers an action - the parameters are widget id, action id and properties of the widget/action.

## Property Documentation

## processingAction

bool unity::shell::scopes::PreviewModelInterface::processingAction

read

Boolean specifying whether an action is currently being performed.

Performing an action in a preview often involves communicating to a scope and as such can take a while. It's safer to disable all actions while value of this property is true.

## widgetColumnCount

int unity::shell::scopes::PreviewModelInterface::widgetColumnCount

read write

Number of column models this preview should expose.

Previews can be laid out in a different number of columns - for example the number of desired columns can change when changing orientation of the display and therefore there's more horizontal space available.

The documentation for this class was generated from the following file:

- include/unity/shell/scopes/PreviewModelInterface.h